This error came because of Joomla upgrade with latest version, so please follow below steps for solution…

If you found any line like below in error.php file of your template directory of your Joomla site

require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php');

then replace that line with

if(!class_exists('JDocumentRendererHead')) {
	$head = JPATH_LIBRARIES . '/joomla/document/html/renderer/head.php';
	if(file_exists($head)) {
		require_once($head);
	}
 }

 

and then check your site 🙂